package com.maternalmall.repository;

import com.maternalmall.domain.Product;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

public interface ProductRepository extends JpaRepository<Product, Long> {
    List<Product> findByApprovedTrueAndNameContainingIgnoreCase(String name);
    List<Product> findByMerchantId(Long merchantId);
}
